Method: projects.locations.collections.dataStores.branches.documents.patch

עדכון של Document.

בקשת HTTP


PATCH https://discoveryengine.googleapis.com/v1beta/{document.name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
document.name

string

אי אפשר לשנות. השם המלא של המשאב של המסמך. פורמט: projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStore}/branches/{branch}/documents/{documentId}

השדה הזה חייב להיות מחרוזת עם קידוד UTF-8, באורך של עד 1,024 תווים.

פרמטרים של שאילתה

פרמטרים
allowMissing

boolean

אם המדיניות מוגדרת לערך true והמדיניות Document לא נמצאת, נוצרת מדיניות Document חדשה.

updateMask

string (FieldMask format)

מציין אילו שדות ב 'מסמך' המיובא שסופק צריך לעדכן. אם לא מגדירים את ההגדרה הזו, כברירת מחדל מתבצע עדכון של כל השדות.

זוהי רשימה מופרדת בפסיקים של שמות שדות שמוגדרים במלואם. דוגמה: "user.displayName,photo"

גוף הבקשה

גוף הבקשה מכיל מופע של Document.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Document.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב name:

  • discoveryengine.documents.update

מידע נוסף מופיע במאמרי העזרה בנושא IAM.